import dayGridPlugin from '@fullcalendar/daygrid';
import interactionPlugin from '@fullcalendar/interaction';
import FullCalendar from '@fullcalendar/react';
import { CalendarOptions } from '@fullcalendar/common';
import timeGridPlugin from '@fullcalendar/timegrid';
import * as React from 'react';
import './style.css';

export * from '@fullcalendar/common';
export { default as FullCalendar } from '@fullcalendar/react';

export default function Calendar(props: Omit<CalendarOptions, 'plugins'>) {
  return (
    <FullCalendar
      firstDay={1}
      height="auto"
      initialView="timeGridWeek"
      plugins={[dayGridPlugin, timeGridPlugin, interactionPlugin]}
      {...props}
    />
  );
}
